org.eclipse.eef.core.api.controllers

## Interface IEEFController

All Known Subinterfaces:
  IEEFButtonController, IEEFCheckboxController, IEEFGroupController, IEEFHyperlinkController, IEEFLabelController, IEEFListController, IEEFMultipleReferencesController, IEEFOnClickController, IEEFRadioController, IEEFSectionController, IEEFSelectController, IEEFTextController, IEEFWidgetController

All Known Implementing Classes:
  AbstractEEFController, AbstractEEFCustomWidgetController, AbstractEEFOnClickController, AbstractEEFWidgetController, EEFButtonController, EEFCheckboxController, EEFGroupController, EEFHyperlinkController, EEFLabelController, EEFListController, EEFRadioController, EEFSectionController, EEFSelectController, EEFTextController

    public interface IEEFController

Common interface of all the controllers.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onValidation(java.util.function.Consumer<java.util.List<IValidationRuleResult>> consumer)` Registers a consumer which will be called with the validation status.
`void` `refresh()` Refresh the controller.
`void` `removeValidationConsumer()` Removes the consumer of the validation.

### Method Detail

#### onValidation

    void onValidation(java.util.function.Consumer<java.util.List<IValidationRuleResult>> consumer)

Registers a consumer which will be called with the validation status.

Parameters:
  `consumer` - The consumer of the validation status

#### removeValidationConsumer

    void removeValidationConsumer()

Removes the consumer of the validation.

#### refresh

    void refresh()

Refresh the controller.